Package: org.codehaus.groovy.vmplugin.v7

## [Java] Class TypeTransformers

- org.codehaus.groovy.vmplugin.v7.TypeTransformers

- This class contains several transformers for used during method invocation.

  Authors:
    Jochen "blackdrag" Theodorou

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected static MethodHandle` | `addTransformer(MethodHandle handle, int pos, Object arg, Class parameter)` Adds a type transformer applied at runtime.
    `` | `static MethodHandle` | `applyUnsharpFilter(MethodHandle handle, int pos, MethodHandle transformer)` Apply a transformer as filter.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### protected static MethodHandle addTransformer(MethodHandle handle, int pos, Object arg, Class parameter)

      Adds a type transformer applied at runtime. This method handles transformations to String from GString, array transformations and number based transformations

    - #### public static MethodHandle applyUnsharpFilter(MethodHandle handle, int pos, MethodHandle transformer)

      Apply a transformer as filter. The filter may not match exactly in the types. In this case needed additional type transformations are done by MethodHandle.asType